# This is your home-manager configuration file
# Use this to configure your home environment (it replaces ~/.config/nixpkgs/home.nix)
{pkgs, inputs, outputs, ...}: {
  imports = [
    # Terminal apps
    ./utils/zsh.nix
    ./utils/fastfetch.nix
    ./utils/neovim.nix
    ./utils/ranger.nix
    ./utils/tmux.nix

    # Services
    ./services/reloadunits.nix
  ];

  nixpkgs = {
    config.allowUnfree = true;
    overlays = [
      outputs.overlays.additions
      outputs.overlays.selfsuper
      outputs.overlays.finalprev
      inputs.blender-bin.overlays.default
    ];
  };

  # Common programs I'll need everywhere
  home.packages = with pkgs; [
    home-manager
    gotop
    tcptrack
    p7zip
    vimv
    dua
    pciutils
    usbutils
    protonvpn-cli_2
  ];

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  home.stateVersion = "24.05";
}
